
Foreman - Feature #5242

Keeping user's attributes and group membership up-to-date even during subsequent logons

04/18/2014 11:31 AM - Jan Pazdziora

Status: Closed   

Priority: Normal   

Assignee: Jan Pazdziora   

Category: Authentication   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

With http://projects.theforeman.org/issues/3528 resolved, externally-authenticated users now get their attributes like name and email

address populated based on environment variables in Apache (our documented use is with mod_lookup_identity) when they are

created.

With http://projects.theforeman.org/issues/3892 resolved, group membership of these newly created users get set based on

environment variables in Apache.

We would like to update the attributes and group memberships upon every successful logon, not just set them once upon initial logon

when the user is first created.

The current pull request for this feature is https://github.com/theforeman/foreman/pull/1424.

Related issues:

Blocks Foreman - Tracker #5031: External authentication support New 04/02/2014

Blocked by Foreman - Feature #3892: When new users are created based on REMOT... Closed 10/28/2013

Associated revisions

Revision 1e8a5084 - 05/07/2014 11:12 AM - Jan Pazdziora

fixes #5242 - Update external user attributes and group membership on every logon

History

#1 - 04/18/2014 11:31 AM - Jan Pazdziora

- Blocks Tracker #5031: External authentication support added

#2 - 04/18/2014 11:40 AM - Jan Pazdziora

Filed https://github.com/theforeman/foreman/pull/1391.

#3 - 04/18/2014 11:46 AM - Jan Pazdziora

- Description updated

#4 - 04/18/2014 03:04 PM - Dominic Cleal

- Category set to Authentication

- Status changed from New to Ready For Testing

- Assignee set to Jan Pazdziora

- Target version set to 1.8.4

#5 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#6 - 04/24/2014 10:22 AM - Anonymous
- Target version changed from 1.8.3 to 1.8.4

#7 - 04/24/2014 10:25 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#8 - 05/05/2014 08:08 AM - Jan Pazdziora

- Blocked by Feature #3892: When new users are created based on REMOTE_USER authentication, their roles should be populated as well added

#9 - 05/07/2014 11:06 AM - Jan Pazdziora

- Description updated

https://github.com/theforeman/foreman/pull/1391 was replaced by https://github.com/theforeman/foreman/pull/1424.

#10 - 05/07/2014 11:14 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#11 - 05/07/2014 11:31 AM - Jan Pazdziora

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1e8a50848d3636241f12ae584183ba19934cd120.
